| AOMedia AV1 Codec

Data Fields
ForceIntegerMVInfo Struct Reference

Encoder info used for decision on forcing integer motion vectors. More...

`#include <encoder.h>`

## Data Fields
double | cs_rate_array [32]
int | rate_index
int | rate_size

## Detailed Description

Encoder info used for decision on forcing integer motion vectors.

## Field Documentation

## ◆ cs_rate_array

double ForceIntegerMVInfo::cs_rate_array[32]

cs_rate_array[i] is the fraction of blocks in a frame which either match with the collocated block or are smooth, where i is the rate_index.

## ◆ rate_index

int ForceIntegerMVInfo::rate_index

rate_index is used to index cs_rate_array.

## ◆ rate_size

int ForceIntegerMVInfo::rate_size

rate_size is the total number of entries populated in cs_rate_array.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h